package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 群公告
 * @Author ruansiyuan
 * @Date 2019/5/24 15:13
 **/
public class GroupAnnouncement extends BaseEntity {

    private static final long serialVersionUID = -2226196406799320902L;

    @ApiModelProperty("社群书id")
    private Long bookGroupId;

    @ApiModelProperty("群分类id")
    private Long bookGroupClassifyId;

    @ApiModelProperty("群公告内容")
    private String announcementContent;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("更新人")
    private Long updateUser;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getBookGroupClassifyId() {
        return bookGroupClassifyId;
    }

    public void setBookGroupClassifyId(Long bookGroupClassifyId) {
        this.bookGroupClassifyId = bookGroupClassifyId;
    }

    public String getAnnouncementContent() {
        return announcementContent;
    }

    public void setAnnouncementContent(String announcementContent) {
        this.announcementContent = announcementContent;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public String toString() {
        return "GroupAnnouncement{" +
                ", bookGroupId=" + bookGroupId +
                ", bookGroupClassifyId=" + bookGroupClassifyId +
                ", announcementContent='" + announcementContent + '\'' +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                "} " + super.toString();
    }

}
